Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.rest.handler
Class RateLimitStatusHandler

    java.lang.Object
      com.twitterapime.parser.DefaultXMLHandler
          com.twitterapime.rest.handler.RateLimitStatusHandler

All Implemented Interfaces:
  Handler, XMLHandler

    public class RateLimitStatusHandler

extends DefaultXMLHandler

Handler class for parsing the XML rate limit status from Twitter API.

Since:
  1.1
Version:
  1.0
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)

Field Summary

Fields inherited from class com.twitterapime.parser.DefaultXMLHandler
`xmlPath`

Constructor Summary
`RateLimitStatusHandler()`

Method Summary
`RateLimitStatus` | `getParsedRateLimitStatus()` Return the parsed rate limit status info.
`void` | `text(java.lang.String text)` Callback method called to notify a string data inside an element.

Methods inherited from class com.twitterapime.parser.DefaultXMLHandler
`endDocument, endElement, startDocument, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RateLimitStatusHandler

    public RateLimitStatusHandler()

Method Detail

### text

    public void text(java.lang.String text)
              throws ParserException

  Description copied from interface: `XMLHandler`

  Callback method called to notify a string data inside an element.

  Specified by:
    `text` in interface `XMLHandler`
  Overrides:
    `text` in class `DefaultXMLHandler`
  Parameters:
    `text` - String data.
  Throws:
    `ParserException` - If a parser error occurs.
  See Also:
    `DefaultXMLHandler.text(java.lang.String)`

### getParsedRateLimitStatus

    public RateLimitStatus getParsedRateLimitStatus()

  Return the parsed rate limit status info.

  Returns:
    Rate limit status.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.